Package org.eclipse.rdf4j.queryrender.builder

## Class QueryBuilderFactory

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.QueryBuilderFactory

-     @Deprecated
      public class QueryBuilderFactory
      extends Object

  Deprecated.
  use `SparqlBuilder` instead.

  Factory class for obtaining instances of `QueryBuilder` objects for the various types of queries.

  Author:
    Michael Grove

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryBuilderFactory()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QueryBuilder<ParsedBooleanQuery>` | `ask()` | Deprecated. Create a QueryBuilder for creating a select query
    `static QueryBuilder<ParsedGraphQuery>` | `construct()` | Deprecated. Create a QueryBuilder for building a construct query
    `static QueryBuilder<ParsedGraphQuery>` | `describe​(String[] theVars, Resource... theValues)` | Deprecated. Create a QueryBuilder for creating a describe query
    `static QueryBuilder<ParsedGraphQuery>` | `describe​(Resource... theValues)` | Deprecated. Create a QueryBuilder for creating a describe query
    `static QueryBuilder<ParsedTupleQuery>` | `select()` | Deprecated. Create a QueryBuilder for creating a select query
    `static QueryBuilder<ParsedTupleQuery>` | `select​(String... theProjectionVars)` | Deprecated. Create a QueryBuilder for creating a select query

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBuilderFactory

          public QueryBuilderFactory()

      Deprecated.

  - ### Method Detail

    - #### ask

          public static QueryBuilder<ParsedBooleanQuery> ask()

      Deprecated.
      Create a QueryBuilder for creating a select query
      Returns:
        a select QueryBuilder

    - #### select

          public static QueryBuilder<ParsedTupleQuery> select()

      Deprecated.
      Create a QueryBuilder for creating a select query
      Returns:
        a select QueryBuilder

    - #### select

          public static QueryBuilder<ParsedTupleQuery> select​(String... theProjectionVars)

      Deprecated.
      Create a QueryBuilder for creating a select query
      Parameters:
        `theProjectionVars` - the list of elements in the projection of the query
      Returns:
        a select query builder

    - #### construct

          public static QueryBuilder<ParsedGraphQuery> construct()

      Deprecated.
      Create a QueryBuilder for building a construct query
      Returns:
        a construct QueryBuilder

    - #### describe

          public static QueryBuilder<ParsedGraphQuery> describe​(Resource... theValues)

      Deprecated.
      Create a QueryBuilder for creating a describe query
      Parameters:
        `theValues` - the specific bound URI values to be described
      Returns:
        a describe query builder

    - #### describe

          public static QueryBuilder<ParsedGraphQuery> describe​(String[] theVars,
                                                                Resource... theValues)

      Deprecated.
      Create a QueryBuilder for creating a describe query
      Parameters:
        `theVars` - the variables to be described
        `theValues` - the specific bound URI values to be described
      Returns:
        a describe query builder